# Operational notes at an airport

## Get Airport Operational Notes at an airport

<mark style="color:blue;">`GET`</mark> `https://api.aviowiki.com/airports/{aid}/airportOperationalNotes/all`

#### Path Parameters

| Name                                  | Type   | Description                |
| ------------------------------------- | ------ | -------------------------- |
| aid<mark style="color:red;">\*</mark> | String | Aviowiki ID of the airport |

#### Headers

| Name          | Type   | Description                              |
| ------------- | ------ | ---------------------------------------- |
| Authorization | String | An API Token using Bearer authorization. |

{% tabs %}
{% tab title="200: OK " %}
The detailed properties of one returned set item can be found in the [Airport Operational Notes](/data-models/operational-note/operational-notes.md) documentation.

```json
[
	{
		"validFrom": "2022-04-01T00:00:00",
		"validTo": "2023-04-01T23:59:00",
		"source": "Industry news",
		"criticality": "OPERATIONALLY_CRITICAL",
		"notes": "Weekend and night operations at New Jersey’s Teterboro Airport (TEB) will be affected at times over the next 12 months as the Port Authority of New York and New Jersey undertakes a major rehabilitation of Runway 6/24.",
		"category": "EVENTS",
		"affectedTraffic": null,
		"parent": "APT-CQ9K-5CIO",
		"aid": "ONA-D66Q-4UUG",
		"kind": "AIRPORT"
	},
	...,
	...,
	...
]
```

{% endtab %}

{% tab title="403: Forbidden No API token was provided or it was invalid." %}

<pre class="language-javascript"><code class="lang-javascript"><strong>{
</strong>    // Response
}
</code></pre>

{% endtab %}
{% endtabs %}

## Get paged Airport Operational Notes at an airport

<mark style="color:blue;">`GET`</mark> `https://api.aviowiki.com/airports/{aid}/airportOperationalNotes`

#### Path Parameters

| Name                                  | Type   | Description                |
| ------------------------------------- | ------ | -------------------------- |
| aid<mark style="color:red;">\*</mark> | String | Aviowiki ID of the airport |

#### Query Parameters

| Name | Type   | Description                                                                     |
| ---- | ------ | ------------------------------------------------------------------------------- |
| page | Number | The page number for pagination, starting from \`0\` to indicate the first page. |
| size | Number | The number of results in a page, for pagination.                                |

#### Headers

| Name          | Type   | Description                              |
| ------------- | ------ | ---------------------------------------- |
| Authorization | String | An API Token using Bearer authorization. |

{% tabs %}
{% tab title="200: OK " %}
The properties of the pagination can be found at [Pagination](/conventions/pagination.md). The detailed properties of one returned set item can be found in the [Airport Operational Notes](/data-models/operational-note/operational-notes.md) documentation.

```json
{
	"page": {
		"number": 0,
		"size": 10,
		"totalPages": 1,
		"totalResults": 2
	},
	"content": [
		{
			"validFrom": "2022-04-01T00:00:00",
			"validTo": "2023-04-01T23:59:00",
			"source": "Industry news",
			"criticality": "OPERATIONALLY_CRITICAL",
			"notes": "Weekend and night operations at New Jersey’s Teterboro Airport (TEB) will be affected at times over the next 12 months as the Port Authority of New York and New Jersey undertakes a major rehabilitation of Runway 6/24.",
			"category": "EVENTS",
			"affectedTraffic": null,
			"parent": "APT-CQ9K-5CIO",
			"aid": "ONA-D66Q-4UUG",
			"kind": "AIRPORT"
		},
		...,
		...,
		...
	]
}
```

{% endtab %}

{% tab title="403: Forbidden No API token was provided or it was invalid." %}

```javascript
{
    // Response
}
```

{% endtab %}
{% endtabs %}

## Get all relevant operational notes at an airport (Airport, Country, Region) valid on a given date

<mark style="color:blue;">`GET`</mark> `https://api.aviowiki.com/airports/{aid}/operationalNotes`

#### Path Parameters

| Name                                  | Type   | Description                |
| ------------------------------------- | ------ | -------------------------- |
| aid<mark style="color:red;">\*</mark> | String | Aviowiki ID of the airport |

#### Query Parameters

| Name     | Type    | Description                                                                                                                           |
| -------- | ------- | ------------------------------------------------------------------------------------------------------------------------------------- |
| dateTime | String  | Time of validity for the ops notes retrieval. Default value: `now`. Datetime format: `ISO 8601`.                                      |
| local    | Boolean | *(Currently not functional)*. Present for future compatibility. Responses are always returned in local time regardless of this value. |

#### Headers

| Name          | Type   | Description                              |
| ------------- | ------ | ---------------------------------------- |
| Authorization | String | An API Token using Bearer authorization. |

{% tabs %}
{% tab title="200: OK " %}

```json
[
	{
		"validFrom": "2023-04-04T15:00:00",
		"validTo": "2023-04-30T18:00:00",
		"source": "NOTAM ",
		"criticality": "OPERATIONALLY_RELEVANT",
		"notes": "Runway 12R/30L closed on the following dates and times:\n\n- April 04: 1500-1800LT\n- April 11: 1500-1800LT\n- April 12: 0130-0215LT, 1500-1800LT\n- April 18: 1500-1800LT\n- April 23: 1500-1800LT\n- April 29: 1500-1800LT\n- April 30: 0130-0215LT, 1500-1800LT\n",
		"category": "RUNWAY",
		"affectedTraffic": null,
		"parent": "APT-KS1J-8E0L",
		"aid": "ONA-D2LR-V9WT",
		"kind": "AIRPORT"
	},
	{
		"validFrom": "2023-01-11T14:58:57.145",
		"validTo": "2023-01-11T16:00:00",
		"source": "FAA",
		"criticality": "OPERATIONALLY_CRITICAL",
		"notes": "Domestic departures are paused until 9 a.m. ET all over the USA due to a computer outage.",
		"category": "DELAYS",
		"affectedTraffic": null,
		"parent": {
			"iso2": "US",
			"iso3": "USA",
			"isoNumeric": 840,
			"name": "United States",
			"officialName": "United States of America",
			"localIdentifierName": null
		},
		"aid": "ONC-6Y7G-NQ2C",
		"kind": "COUNTRY"
	},
	...,
	...
]
```

{% endtab %}

{% tab title="403: Forbidden No API token was provided or it was invalid." %}

```javascript
{
    // Response
}
```

{% endtab %}
{% endtabs %}

## Get all relevant operational notes at an airport (Airport, Country, Region) valid between given dates

<mark style="color:blue;">`GET`</mark> `https://api.aviowiki.com/airports/{aid}/operationalNotes/betweenDates`

#### Path Parameters

| Name                                  | Type   | Description                |
| ------------------------------------- | ------ | -------------------------- |
| aid<mark style="color:red;">\*</mark> | String | Aviowiki ID of the airport |

#### Query Parameters

| Name           | Type    | Description                                                                                                                                     |
| -------------- | ------- | ----------------------------------------------------------------------------------------------------------------------------------------------- |
| from           | String  | Range start for the ops notes retrieval. Default value: `now`. Datetime format: `ISO 8601`.                                                     |
| to             | String  | Range end for the ops notes retrieval. Default value: `now`. Datetime format: `ISO 8601`.                                                       |
| local          | Boolean | ***(Currently not functional)***. Present for future compatibility. Responses are always returned in local time regardless of this value.       |
| includeRegion  | Boolean | ***Deprecated*****.** Currently unused and has no effect. Present for future compatibility.                                                     |
| includeCountry | Boolean | Whether to include [country operational notes](/data-models/operational-note/country-operational-note.md) in the results. Default value: `true` |

#### Headers

| Name          | Type   | Description                              |
| ------------- | ------ | ---------------------------------------- |
| Authorization | String | An API Token using Bearer authorization. |

{% tabs %}
{% tab title="200: OK " %}
Example:

```json
[
	{
		"validFrom": "2023-04-04T15:00:00",
		"validTo": "2023-04-30T18:00:00",
		"source": "NOTAM ",
		"criticality": "OPERATIONALLY_RELEVANT",
		"notes": "Runway 12R/30L closed on the following dates and times:\n\n- April 04: 1500-1800LT\n- April 11: 1500-1800LT\n- April 12: 0130-0215LT, 1500-1800LT\n- April 18: 1500-1800LT\n- April 23: 1500-1800LT\n- April 29: 1500-1800LT\n- April 30: 0130-0215LT, 1500-1800LT\n",
		"category": "RUNWAY",
		"affectedTraffic": null,
		"parent": "APT-KS1J-8E0L",
		"aid": "ONA-D2LR-V9WT",
		"kind": "AIRPORT"
	},
	{
		"validFrom": "2023-01-11T14:58:57.145",
		"validTo": "2023-01-11T16:00:00",
		"source": "FAA",
		"criticality": "OPERATIONALLY_CRITICAL",
		"notes": "Domestic departures are paused until 9 a.m. ET all over the USA due to a computer outage.",
		"category": "DELAYS",
		"affectedTraffic": null,
		"parent": {
			"iso2": "US",
			"iso3": "USA",
			"isoNumeric": 840,
			"name": "United States",
			"officialName": "United States of America",
			"localIdentifierName": null
		},
		"aid": "ONC-6Y7G-NQ2C",
		"kind": "COUNTRY"
	},
	...,
	...
]
```

{% endtab %}

{% tab title="403: Forbidden No API token was provided or it was invalid." %}

```javascript
{
    // Response
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.aviowiki.com/authenticated-endpoints/airport-endpoints/operational-notes-at-an-airport.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
